Configurations

The user's configuration that stores the user's settings for the application. We can use this configuration to store the user's preferences, settings, and other data.

Creates a new configuration for the user.

post
Path parameters
userIdstringRequired

The id of the user.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body

Configuration model.

groupCodestring · min: 1Required

This represents the group code.

Example: GROUP_CODE
codestring · min: 1Required

This represents the code.

Example: CODE
namestring · min: 1Required

This represents the name.

Example: Name
descriptionstring · nullableOptional

This represents the description.

Example: Description
valuestring · min: 1Required

This represents the value.

Example: Value
statusstring · enumOptional

This enum is used to define the common status of an object in JFW.

Supported values:

  • Inactive - In case of JFW object's status being inactive.
  • Active - In case of JFW object's status being active
Possible values:
Responses
post
/api/v1/users/{userId}/configurations

Gets the user's configurations.

get
Path parameters
userIdstringRequired

The id of the user.

Query parameters
GroupCodestringOptional

Filter by group code.

CodestringOptional

Filter by code.

NamestringOptional

Filter by name.

DescriptionstringOptional

Filter by description.

ValuestringOptional

Filter by value.

Statusstring · enumOptional

This enum is used to define the common status of an object in JFW.

Supported values:

  • Inactive - In case of JFW object's status being inactive.
  • Active - In case of JFW object's status being active
Possible values:
Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Responses
chevron-right
200

The request was successful.

application/json

The API result model with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Required

This is the message to be displayed to the user.

get
/api/v1/users/{userId}/configurations

Deletes the user's configuration by ID.

delete
Path parameters
userIdstringRequired

The id of the user.

configurationIdstringRequired

The id of the configuration.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Responses
chevron-right
200

The request was successful.

application/json

The API result model with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Required

This is the message to be displayed to the user.

databooleanOptional
delete
/api/v1/users/{userId}/configurations/{configurationId}

Last updated